Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.swing
Class MenuAction

    java.lang.Object
      de.jsystems.framework.common.action.AbstractAction
          de.jsystems.framework.common.action.swing.MenuAction

All Implemented Interfaces:
  EventListener, MenuListener

public class MenuAction
extends AbstractAction
implements MenuListener

Actionimplementierung fuer MenuEvent.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`MenuAction()`

Method Summary
`void` | `doMenuCanceled(MenuEvent me)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doMenuDeselected(MenuEvent me)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doMenuSelected(MenuEvent me)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `menuCanceled(MenuEvent me)`
`void` | `menuDeselected(MenuEvent me)`
`void` | `menuSelected(MenuEvent me)`

Methods inherited from class de.jsystems.framework.common.action.AbstractAction
`addControl, disable, enable, exceptionInAction, getController, getControls, getException, getView, hasException, initialize, isEnabled, removeAll, removeControl, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MenuAction

    public MenuAction()

Method Detail

### menuSelected

    public void menuSelected(MenuEvent me)

  Specified by:
    `menuSelected` in interface `MenuListener`

### doMenuSelected

    public void doMenuSelected(MenuEvent me)
                        throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `me` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### menuDeselected

    public void menuDeselected(MenuEvent me)

  Specified by:
    `menuDeselected` in interface `MenuListener`

### doMenuDeselected

    public void doMenuDeselected(MenuEvent me)
                          throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `me` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### menuCanceled

    public void menuCanceled(MenuEvent me)

  Specified by:
    `menuCanceled` in interface `MenuListener`

### doMenuCanceled

    public void doMenuCanceled(MenuEvent me)
                        throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `me` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD